<?php
require_once('PHPUnit/Autoload.php');
 
class OutputTest extends PHPUnit_Extensions_OutputTestCase {
	public function testExpectOutputString() {
		$this->expectOutputString('this will match');
		echo 'this will not match';
	}
	
	public function testExpectOutputRegex() {
		$this->expectOutputRegex('/.*will this string match\?.*/');
		echo '<html><body><h1>will this string match?</h1></body></html>';
	}
	
	public function testSetOutputCallback() {
		$this->assertTrue($this->setOutputCallback('OutputTest::stripTags'));
		$this->expectOutputString('will this string match?');
		echo '<html><body><h1>will this string match?</h1></body></html>';
	}
	
	public static function stripTags($input) {
		return strip_tags($input);
	}
}
?>