<?php
require_once('PHPUnit/Autoload.php');

class SuperglobalsTest extends PHPUnit_Framework_TestCase {
	protected function setUp() {
		$_POST['para'] = 'you can test me';
	}
	
	public function testPOST() {
		$this->assertEquals('you can test me', $_POST['para']);
	}

	public function testGET1() {
		$_GET['para'] = 'forget me';
		$this->assertEquals('forget me', $_GET['para']);
	}

	/**
	 * @depends testGET1
	 */
	public function testGET2() {
		$this->assertNotEmpty($_GET['para']);
	}
	
	/**
	 * @backupGlobals disabled
	 */
	public function testREQUEST1() {
		$_REQUEST['para'] = 'do not forget this value';
		$this->assertEquals('do not forget this value', $_REQUEST['para']);
	}	

	/**
	 * @depends testREQUEST1
	 */
	public function testREQUEST2() {
		$this->assertEquals('do not forget this value', $_REQUEST['para']);
	}
}
?>