<?php
require_once('PHPUnit/Autoload.php');

class AssertObject {
	private $value;
	public function __construct($value) {
		$this->value = $value;
	}
}

class AssertThatTest extends PHPUnit_Framework_TestCase {
	public function testAssertThat1() {
		$original = new AssertObject('same same but different');
		$fake     = new AssertObject('same same but different');
		$this->assertThat($original, $this->identicalTo($fake));
	}

	public function testAssertThat2() {
		$original = new AssertObject('original');
		$fake     = new AssertObject('fake');
		$this->assertThat($original, $this->logicalNot($this->equalTo($fake)));
	}
}
?>
