<?php
require_once('PHPUnit/Autoload.php');

class ExampleTest extends PHPUnit_Framework_TestCase {
	public function testAssertEquals() {
		$this->assertEquals(42, 42, 'assertEqualsExample() fehlgeschlagen!');
	}

	/**
	 * @test
	 */
	public function assertEqualsExample() {
		$this->assertEquals(42, 23, 'testAssertEquals() fehlgeschlagen!');
	}
	
	/**
	 * @depends assertEqualsExample
	 */
	public function testDepends() {
		$this->fail('Dieser Test sollte übersprungen werden!');
	}
	
	/**
	 * @expectedException InvalidArgumentException
	 */
 	public function testExceptionAnnotation() {
		$this->fail('Es wurde keine Exception geworfen!');
	}

	public function testException() {
		try {
			throw new InvalidArgumentException();
		} catch (InvalidArgumentException $expected) {
			return;
		}
		$this->fail('Es wurde keine Exception geworfen!');
	}
}
?>